\version "2.16.0"
#(ly:set-option 'point-and-click #f)
% expanding: ../english.ly
%%%% common English names for notes
%%%% This file is part of LilyPond, the GNU music typesetter.
%%%%
%%%% Copyright (C) 2010--2012 Valentin Villenave <valentin@villenave.net>
%%%%
%%%% LilyPond is free software: you can redistribute it and/or modify
%%%% it under the terms of the GNU General Public License as published by
%%%% the Free Software Foundation, either version 3 of the License, or
%%%% (at your option) any later version.
%%%%
%%%% LilyPond is distributed in the hope that it will be useful,
%%%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%%%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%%%% GNU General Public License for more details.
%%%%
%%%% You should have received a copy of the GNU General Public License
%%%% along with LilyPond.  If not, see <http://www.gnu.org/licenses/>.

%%%% Legacy file. (see scm/define-note-names.scm)

\version "2.16.0"

\language "english"
% expanding: ../bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: ../include/macros.ly
% macros.ly
% 2012-04-30
% version 1.5

ambitusV = \with { \consists Ambitus_engraver }
unficta = \unset suggestAccidentals
ficta = \set suggestAccidentals = ##t
incipitLarge = \once \override NoteHead #'font-size = #3

singleTime = \once \override Staff.TimeSignature  #'style = #'single-digit
invisibleTime = \once \override Staff.TimeSignature #'break-visibility = #all-invisible 

fourTwoCutTime = {
    \once \override Staff.TimeSignature #'stencil = #ly:text-interface::print
    \once \override Staff.TimeSignature #'text = \markup \musicglyph #"timesig.C22"
    \time 4/2
}

fourTwoCommonTime = {
    \once \override Staff.TimeSignature #'stencil = #ly:text-interface::print
    \once \override Staff.TimeSignature #'text = \markup \musicglyph #"timesig.C44"
    \time 4/2
}
threeFromOneLong = \tempo \markup {
   \concat {
        \smaller \general-align #Y #DOWN \note #"1" #1
        " = "
        \smaller \override #'(style . neomensural) { \general-align #Y #DOWN \note #"breve." #1 }
    }
}

oneFromThreeLong = \tempo \markup {
   \concat {
        \smaller \override #'(style . neomensural) { \general-align #Y #DOWN \note #"breve." #1 }
        " = "
        \smaller \general-align #Y #DOWN \note #"1" #1
    }
}

threeFromOne = \tempo \markup {
   \concat {
        \smaller \general-align #Y #DOWN \note #"1" #1
        " = "
        \smaller \general-align #Y #DOWN \note #"1." #1
    }
}

threeFromTwo = \tempo \markup {
   \concat {
        \smaller \general-align #Y #DOWN \note #"2" #1
        " = "
        \smaller \general-align #Y #DOWN \note #"1." #1
    }
}

twoFromThree = \tempo \markup {
   \concat {
        \smaller \general-align #Y #DOWN \note #"1." #1
        " = "
        \smaller \general-align #Y #DOWN \note #"2" #1
    }
}

oneFromThree = \tempo \markup {
   \concat {
        \smaller \general-align #Y #DOWN \note #"1." #1
        " = "
        \smaller \general-align #Y #DOWN \note #"1" #1
    }
}

raisedTwoTwoTime = ^\markup {
    \override #'(baseline-skip . 2)
    \column {
        \number \small 2 \number \small 2
    }
}

raisedThreeTwoTime = ^\markup {
    \override #'(baseline-skip . 2)
    \column {
        \number \small 3 \number \small 2
    }
}

raisedFourTwoTime = ^\markup {
    \override #'(baseline-skip . 2)
    \column {
        \number \small 4 \number \small 2
    }
}

raisedSixTwoTime = ^\markup {
    \override #'(baseline-skip . 2)
    \column {
        \number \small 6 \number \small 2
    }
}

raisedSixFourTime = ^\markup {
    \override #'(baseline-skip . 2)
    \column {
        \number \small 6 \number \small 4
    }
}

raisedTwoFourTime = ^\markup {
    \override #'(baseline-skip . 2)
    \column {
        \number \small 2 \number \small 4
    }
}

% right out of lilypond manual:
incipit =
#(define-music-function (parser location incipit-music) (ly:music?)
  #{
    \once \override Staff.InstrumentName #'self-alignment-X = #RIGHT
    \once \override Staff.InstrumentName #'self-alignment-Y = #UP
    \once \override Staff.InstrumentName #'Y-offset =
      #(lambda (grob)
         (+ 4 (system-start-text::calc-y-offset grob)))
    \once \override Staff.InstrumentName #'padding = #0.3
    \once \override Staff.InstrumentName #'stencil =
      #(lambda (grob)
     (let* ((instrument-name (ly:grob-property grob 'long-text)))
       (set! (ly:grob-property grob 'long-text)
         #{ \markup
              \score
                 {
               { \context MensuralStaff \with {
                            instrumentName = #instrument-name
                    \override VerticalAxisGroup
                     #'Y-extent = #'(-4 . 4)
                         } $incipit-music
               }
                       \layout { $(ly:grob-layout grob)
                         line-width = \indent
                             indent =
                 % primitive-eval is probably easiest for
                 % escaping lexical closure and evaluating
                 % everything respective to (current-module).
                                  #(primitive-eval
                                        '(or (false-if-exception (- indent (* mm incipit-width)))
                         (* 0.5 indent)))
                         ragged-right = ##f
                         ragged-last = ##f
                         system-count = #1 }
             }
          #})
           (system-start-text::print grob)))
  #})

% coloration brackets suggested from: 
% http://lists.gnu.org/archive/html/lilypond-user/2011-08/msg00186.html
colorBr = 
#(define-music-function (parser location music)(ly:music?)
#{
        \once\override TextSpanner #'(bound-details left text) = \markup
\scale #'(-1 . 2) { "¬" }
        \once\override TextSpanner #'(bound-details right text) = \markup
\scale #'(1 . 2) { "¬" }
        \once\override TextSpanner #'bound-details #'left-broken #'text =
##f
        \once\override TextSpanner #'bound-details #'right-broken #'text =
##f
        \once\override TextSpanner #'bound-details #'left #'padding = #'0
        \once\override TextSpanner #'bound-details #'right #'padding = #'-1
        \once\override TextSpanner #'style = #'none
        $music
#})

colorBrBegin = \startTextSpan
colorBrEnd = \stopTextSpan

ijLyrics = {
  \override Lyrics.LyricText #'font-shape = #'italic
}

normalLyrics = {
  \revert Lyrics.LyricText #'font-shape
}
% expanding: ../voicedefault.ly
voicedefault = {
%  \override NoteHead #'style = #'petrucci 
  \override NoteHead #'style = #'baroque 
  \set Staff.midiInstrument = "oboe"
  \override Staff.BarLine #'transparent = ##t
  \override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
  \override Staff.BarLine.space-alist.next-note = #'(semi-fixed-space . 0.0)
  \override Staff.TimeSignature   #'style = #'neomensural
  \set Staff.autoBeaming = ##f
\set Staff.autoBeaming = ##f
#(set-accidental-style 'forget)
\override Slur #'transparent = ##t
% this should give boxed bar numbers every 5 bars
  \override Score.BarNumber  #'break-visibility = #end-of-line-invisible
   \set Score.barNumberVisibility = #(every-nth-bar-number-visible 5)
%   \override Score.BarNumber #'font-size = #2

   \override Score.BarNumber  #'stencil
   = #(make-stencil-boxer 0.1 0.25 ly:text-interface::print)
%  \key g \dorian
%  \time 2/2
}
% expanding: ../bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: ../header.ly
\header {
  title = "Vecchie letrose"
    composer = "Adrian Willaert  (c.1490-1562)"
        copyright = "© Serpent Publications 2015 www.SerpentPublications.org; Transcribed on November 17, 2015"
	tagline = \markup{Last modified: \simple #(strftime "%Y-%m-%d %r %Z" (localtime (current-time)))}
	footnotes = ""
	mysource = "IMSLP278309"
    source = "Canzone Vilanesche alla Napolitana (1545)"
}
%%%\paper{	
%%%	ragged-bottom = ##t
%%%    top-margin = 25\mm
%%%}
% Local Variables:
% coding: utf-8
% End:


\header {
    % Things that change per piece:


    % Things that change per part:
  piece = \markup{\circle 1  2 3 4  }
    partname = "Cantus"
    instrument = "Cantus"

    % Unchanging:

}

% expanding: ../parts/05-vecchie_letrose.ly
cantusVincipit = \relative c'' {
    \clef "petrucci-c1"
    \time 4/4
    \key f \major

    a2
}

cantusV = \relative c'' {
%    \clef soprano
    \fourTwoCommonTime
    \key f \major
    
    \override Slur #'transparent = ##t 

    % r2
    a2 a4 a bf2 a | r4^"G.P. 1" a bf a bf a c2 | c4 c2 c4 \ficta b2 \unficta c | 
        r4^"G.P. 2" a a a bf2 a |
        r4^"G.P. 3" a bf a bf a 

    c2 | c4 c2 c4 \ficta b2 \unficta c4 c | c c a a g2 f | r4 a a a g g a a | 
        c c \ficta b2 \unficta c r4 a | a a bf bf g2 a4 a |
    
    bf a4. \melisma g16 f g4 \melismaEnd a c c 
        c2\melisma \ficta b4\melismaEnd \unficta c c2 c4 c2 | 
        a r4 a2 a4 bf2 | a4 a a g2 f2( e4) | 
        f c'2 c4 c2 a | r4 a2 a4 bf2 a4 a |

    a g2 f( e4) f8 \melisma g a bf | c4 \melismaEnd c bf a bf2 a | 
        r4^"G.P. 4" a a c c2 c4 a4. a8 a4 g f2( e4) f8 \melisma g a bf |
        c4 \melismaEnd c bf a bf2 

    a | r4^"G.P. 5" a a c c2 c4 a4. a8 a4 g f2( e4) f\longa*1/8
    \endbar
}

cantusLyricsV = \lyricmode {
    Vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te,
    vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te,
        se non a far l'a -- guai -- to
        se non a far l'a -- guai -- to per la chiaz -- za,
        se non a far l'a -- guai -- to per la chiaz -- za,
        per la chiaz -- za,

    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za,
    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za __
    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze __
    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze.
}

altusVincipit = \relative c' {
    \clef "petrucci-c2"
    \key f \major
    \time 4/4

    f2
}

altusV = \relative c' {
%    \clef mezzosoprano
    \key f \major
    \fourTwoCommonTime

    % r2
    f2 f4 f f2 f | r4^"G.P. 1" f f f f f g2 | g4 a2 g4 g2 e | r4^"G.P. 2" f f f f2 f |
        r4^"G.P. 3" f f f f f 

    g2 | g4 a2 g4 g2 e | r4 f f f e e c2 | c4 c c c c c a f' | g a g2 e r4 f |
        c d bf g c2 a4 f'2 f4

    d2 f4 g2 a4 | g2 e r4 f2 f4 | f2 c4 f2 f4 f2. c2 g4 d' a c2 |
        a r4 a2 a4 f'2 | c4 f2 f4 f2. c2 g4 d' a c2 c2 | r4 f

    d f f2 f | r4^"G.P. 4" f f g a2 g4 f2 f4 d d c2 c | r4 f d f f2 f |
        r4^"G.P. 5" f f g a2 g4 f2 f4 d d c2 c\longa*1/8

    
    \endbar
}

altusLyricsV = \lyricmode {
    Vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te,
    vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te,

        se non a far l'a -- guai -- to
        se non a far l'a -- guai -- to per la chiaz -- za,
        se non a far l'a -- guai -- to per la chiaz -- za,
        per la chiaz -- za,

    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za,
    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za 

    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze,
    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze.
}

tenorVincipit = \relative c' {
    \clef "petrucci-c3"
    \key f \major
    \time 4/4

    c2
}

% tenor: checked against source
tenorV = \relative c' {
    \key f \major
    \fourTwoCommonTime

    % r2
    c2 c4 c d2 c | r4^"G.P. 1" c d c d d e2 | e4 f2 e4 d2 c | r4^"G.P. 2" c c c d2 c |
        r4^"G.P. 3" c d c d d 

    e2 | e4 f2 e4 d2 c1 r4 c c c a a | f8 f f'4 f f e e c4. d8 |
        e4 f d2 c r4 c | f f d d e2 c4 d2 c4 

    bf2 a4 e'2 f4 | d2 c r4 c2 c4 | c2 a4 c2 c4 d2 | c a4 bf2 f4 g2 |
        f r4 c'2 c4 c2 | a4 c2 c4 d2 c | a4 bf2 f4 g2 f | r4 a 

    bf4 c d2 c | r4^"G.P. 4" c d e f2 e4 c2 c4 bf4. a8 g2 f | r4 a bf c d2 c |
        r4^"G.P. 5" c d e f2 e4 c2 c4 bf4. a8 g2 f\longa*1/8
    \endbar
}

tenorLyricsV = \lyricmode {
    Vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te,
    vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te, __

        se non a far l'a -- guai -- to
        se non a far l'a -- guai -- to per la chiaz -- za,
        se non a far l'a -- guai -- to per la chiaz -- za,
        per la chiaz -- za,

    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za,
    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za 

    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze,
    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze.
}

bassusVincipit = \relative c {
    \clef "petrucci-f3"
    \key f \major
    \time 4/4

    f2
}

% bassus: checked against source
bassusV = \relative c {
    \key f \major
    \fourTwoCommonTime

    % r2
    f2 f4 f bf,2 f' | r4^"G.P. 1" f bf, f' bf, d c2 | c4 f2 c4 g'2 c, | 
        r4^"G.P. 2" f f f bf,2 f' | r4^"G.P. 3" f bf, f' bf, d 

    c2 | c4 f2 c4 g'2 c, | r4 f f f c c f2 | f4 f f f c c f f |
        c f g2 c,4 c f f | f d g2 c,4 c f d | bf f'

    g2 d4 c2 f4 | g2 c, r4 f2 f4 | f2 f4 f2 f4 bf,2 | f'2. ef4 d d c2 |
    f2 r4 f2 f4 f2 | f4 f2 f4 bf,2 f'2. ef4 d d c2 

    f2 | r4 f g f bf,2 f' | r4^"G.P. 4" f d c f2 c4 f2 f4 bf, bf c2 f |
        r4 f g f bf,2 f' | r4^"G.P. 5" f d c f2 c4 f2
         f4 bf, bf c2 f\longa*1/8
    \endbar
}

bassusLyricsV = \lyricmode {
    Vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te,
    vec -- chie le -- tro -- se,
    vec -- chie le -- tro -- se non va -- le -- te nien -- te, 

        se non a far l'a -- guai -- to
        se non a far l'a -- guai -- to per la chiaz -- za,
        se non a far l'a -- guai -- to l'a -- guai -- to per la chiaz -- za,
        per la chiaz -- za,

    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za,
    ti -- ra ti -- ra ti -- ra ti -- ra
    ti -- ra~al -- la maz -- za 

    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze,
    Vec -- chie le -- tro -- se
    Vec -- chie le -- tro -- se scan -- na -- ro -- se~e paz -- ze.
}

cantusVincipitVoice = <<
    \new MensuralVoice <<
        { s1 \noBreak }
        \cantusVincipit
    >>
>>

altusVincipitVoice = <<
    \new MensuralVoice <<
        { s1 \noBreak }
        \altusVincipit
    >>
>>

tenorVincipitVoice = <<
    \new MensuralVoice <<
        { s1 \noBreak }
        \tenorVincipit
    >>
>>

bassusVincipitVoice = <<
    \new MensuralVoice <<
        { s1 \noBreak }
        \bassusVincipit
    >>
>>

    
\book {
    \score {
        \new Voice << 
	  \transpose c' c' {
	  \set Staff.instrumentName = #"Cantus"
	  \incipit \cantusVincipit
            \voicedefault
            \cantusV
	}
        >>
        \addlyrics { \cantusLyricsV }
% expanding: ../include/vocal-layout-parts.ly
\layout {
    ragged-bottom = ##t
    indent = 4\cm
    \context {
        \Voice
            autoBeaming = ##f
            restNumberThreshold = #0
            \consists Ambitus_engraver
            \override Slur #'transparent = ##t 
    }
    \context {
        \Lyrics
            \override  LyricHyphen #'minimum-distance = #0.8
    }
}
    }
% expanding: ../translation.ly
    \markup {
        \fill-line {
            \column {
                \line { Vecchie letrose }
                \line { Se no a far l'aguaito per la chiazza. }
                \line { Tira alla mazza }
                \line { Vecchie letrose scannaro'e pazze. }
            }
            \column {
                \line { Sullen old hags are good for nothing }
                \line { But setting traps for lovers in the public square. }
                \line { Go ahead and club them, }
                \line { Those scabrous, crazy old cut-throats.}
            }
        }
    }

}
